# $Revision: 1.56 $, $Date: 2010/04/07 06:27:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Parse
%define		pnam	RecDescent
Summary:	Parse::RecDescent - generate recursive-descent parsers
Summary(pl.UTF-8):	Parse::RecDescent - generowanie zmniejszających rekurencyjnie analizatorów
Name:		perl-Parse-RecDescent
Version:	1.965001
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/D/DC/DCONWAY/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e91351ad179a3843fbe8e521b135acaf
URL:		http://search.cpan.org/dist/Parse-RecDescent/
BuildRequires:	perl-Text-Balanced
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# these versions included own copy of Text::Balanced
BuildConflicts:	perl-Parse-RecDescent < 1.92
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Calc)'

%description
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications. It provides:
- Regular expressions or literal strings as terminals (tokens),
- Multiple (non-contiguous) productions for any rule,
- Repeated, optional and alternate subrules within productions,
- Late-bound (run-time dispatched) subrules,
- Full access to Perl within actions specified as part of the grammar,
- Simple automated error reporting during parser generation and
  parsing,
- The ability to commit to, uncommit to, or reject particular
  productions during a parse,
- Incremental extension of the parsing grammar (even during a parse),
- Precompilation of parser objects,
- User-definable reduce-reduce conflict resolution via "scoring" of
  matching productions.

%description -l pl.UTF-8
RecDescent generuje przyrostowo zstępujące, zmniejszające
rekurencyjnie analizatory tekstu w oparciu o prostą specyfikację
gramatyki, podobną do używanej przez yacca. Udostępnia on:
- Wyrażenia regularne i łańcuchy literałów jako terminale (tokeny),
- Wielokrotną (nieciągłą) produkcję dla każdej reguły,
- Powtarzane, opcjonalne i alternatywne podreguły w obrębie produkcji,
- Podreguły późnego wiązania (wysyłane w chwili uruchomienia),
- Pełen dostęp do Perla w obrębie akcji określonych jako część
  gramatyki,
- Proste, zautomatyzowane sygnalizowanie błędów podczas generacji
  analizatora i podczas analizy,
- Możliwość zatwierdzenia, cofnięcia oraz odrzucania poszczególnych
  produkcji podczas analizy,
- Przyrostowe rozszerzanie gramatyki podlegającej analizie (nawet
  podczas samej analizy),
- Prekompilację obiektów analizatora,
- Definiowalne przez użytkownika rozpoznawanie konfliktów
  "reduce-reduce" poprzez ocenianie dopasowania produkcji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Parse/RecDescent/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Parse/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Parse-RecDescent.spec,v $
Revision 1.56  2010/04/07 06:27:56  amateja
- updated to 1.965001

Revision 1.55  2010/02/17 10:43:15  amateja
- updated to 1.964

Revision 1.54  2009/09/10 07:57:51  amateja
- 1.962.2

Revision 1.53  2009/03/02 15:17:47  radek
- version 1.96.0

Revision 1.52  2008/11/12 08:28:12  glen
- check-files cleanup; rel 4

Revision 1.51  2008/10/23 06:59:29  arekm
- release 3

Revision 1.50  2008/07/27 22:27:15  arekm
- release 2

Revision 1.49  2008-05-27 18:33:00  qboosh
- generic URL

Revision 1.48  2008-05-26 19:12:34  radek
- version 1.95.1 (lovely creative tarball names; PAUSE got confused)

Revision 1.47  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.45  2004/11/03 22:30:39  paladine
- formatting

Revision 1.44  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.43  2004/06/05 18:10:46  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.42  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.41  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.40  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.39  2004/04/22 20:20:01  agaran
- updated to new bconds

Revision 1.38  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.37  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/06/12 10:18:21  qboosh
- typo

Revision 1.35  2003/06/12 10:15:50  qboosh
- up to 1.94, new descriptions/summaries, BC (from RA-branch), release 2

Revision 1.34  2003/05/28 13:00:57  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/05/10 20:45:53  radek
- do not BR: perl (whatever is required, should be autogenerated)

Revision 1.31  2003/03/20 08:47:21  misiek
- dont obsolete perl-Text-Balanced (perl-modules provides it)

Revision 1.30  2003/03/01 20:22:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/24 20:31:57  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:37:37  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/09/16 11:50:22  ankry
- added tests on bcond
- new %%doc, cleaning
- removed .pod files
- release 7

Revision 1.26  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.25  2002/02/25 10:33:54  depesz
cleanup; revision++

Revision 1.24  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/13 14:19:26  depesz
automatic: Source location unified, Relase Up

Revision 1.22  2002/02/10 15:31:30  depesz
adapterized

Revision 1.21  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.19  2001/05/21 17:39:39  kloczek
- release 3.

Revision 1.18  2001/05/10 19:47:48  qboosh
- removed dep patch, use %%_noautoreq instead

Revision 1.17  2001/04/17 12:14:14  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.16  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.15  2001/02/01 23:35:01  kloczek
- updated to 1.80.

Revision 1.14  2000/12/22 00:46:27  kloczek
- back .. this package can't be noarch.

Revision 1.13  2000/12/22 00:14:12  kloczek
- release 2,
- use new rpm automation,
- build as noarch,
- rebuild against perl 5.6.

Revision 1.12  2000/09/18 06:48:02  kloczek
- updated to 1.79.

Revision 1.11  2000/07/17 00:09:57  kloczek
- release 2.

Revision 1.10  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.7  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.5  2000/02/19 22:57:11  pius
- updated to 1.77

Revision 1.4  1999/11/09 00:16:11  pius
- fixed directory ownership
- release++

Revision 1.3  1999/11/07 17:00:09  kloczek
- release 2.

Revision 1.2  1999/11/05 19:47:39  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules
- added Obsoletes: perl-Text-Balanced

Revision 1.1  1999/09/23 12:23:42  wiget
- Parse::RecDescent perl module
